/* Import Google font - Open Sans */
@import url('https://fonts.googleapis.com/css2?family=Open+Sans:wght@400;500;600;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600&display=swap');

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Poppins', sans-serif;
}
body {

  background: #eff8e2;
}
.weather-dashboard{
  height: 80px;
  box-shadow: #5c636a;
  position: fixed;
  top:0px;
  box-shadow:0px 3px 0px 0px #727579;
  border-radius: 0px 0px 10px 10px;
  background-color: rgb(211, 245, 232);
}
.logo{
  width:8vw;
  float: left;
  padding-top: 15px;
}
.img1{
  height:50px;
  width:70px;
  padding-left:20px;
}
.text{
  width:90vw;
  padding-left:0px;
  padding-top: 20px;
  display: inline-block;
}
.weather-content{
  font-family: 'Poppins', sans-serif;
  font-weight: 800;
  text-transform:uppercase;
  font-size:2rem;
  color: #4B5593;
  letter-spacing: 0.5rem;
  transform: skew(-63dg) scale(1,.5);
  text-shadow: -1px -1px 1px #6c7299 ,
  -2px -2px 1px #6c7299,
  -3px -3px 1px #6c7299,
  -4px -4px 1px #6c7299,
  -5px -5px 1px #6c7299,
  -6px -6px 1px #6c7299,
  -7px -7px 5px rgba(23, 23, 141, 0.75);
  z-index: 100;
  border-right: 3px solid;
  width:45%;
  overflow: hidden;
  white-space:nowrap;
  animation: 
        typing 3s steps(10),
        cursor .4s step-end infinite alternate;
}
@keyframes cursor{
  50%{border-color: transparent}
}

@keyframes typing{
  from{
    width:0;
  }
}

.container {
  display: flex;
  gap: 35px;
  padding: 30px;
  margin-top: 80px;
}
.weather-input {
  width: 550px;
}
.enter-text{
font-family: sans-serif, sans-serif;
  font-weight: 300;
  font-size: 2rem;
  color: #4B5593;
  letter-spacing: 0.1rem;
  transform: skew(-63dg) scale(1,.5);
  text-shadow: -1px -1px 1px #6c7299 ,
  -2px -2px 1px #6c7299,
  -3px -3px 1px rgba(23, 23, 141, 0.75);
  z-index: 100;
  border-right: 3px solid;
  width:90%;
  white-space:nowrap;
  overflow: hidden;
  animation: 
        typing 2s steps(10),
        cursor .4s step-end infinite alternate;
}
@keyframes cursor{
  50%{border-color: transparent}
}

@keyframes typing{
  from{
    width:0;
  }
}

.weather-input input {
  height: 46px;
  width: 100%;
  outline: none;
  font-size: 1.07rem;
  padding: 0 17px;
  margin: 10px 0 20px 0;
  border-radius: 4px;
  border: 1px solid #ccc;
}
.weather-input input:focus {
  padding: 0 16px;
  border: 2px solid #5372F0;
}
.weather-input .separator {
  height: 1px;
  width: 100%;
  margin: 25px 0;
  background: #BBBBBB;
  display: flex;
  align-items: center;
  justify-content: center;
}
.weather-input .separator::before{
  content: "or";
  color: #6C757D;
  font-size: 1.18rem;
  padding: 0 15px;
  margin-top: -4px;
  background: #E3F2FD;
}
.weather-input button {
  width: 100%;
  padding: 10px 0;
  cursor: pointer;
  outline: none;
  border: none;
  border-radius: 4px;
  font-size: 1rem;
  color: #fff;
  background: #4B5593;
  transition: 0.2s ease;
}
.weather-input .search-btn:hover {
  background: #2c52ed;
}
.weather-input .location-btn {
  background: #6C757D;
}
.weather-input .location-btn:hover {
  background: #5c636a;
}
.weather-data {
  width: 100%;
}
.weather-data .current-weather {
  color: #f7f7fd;
  background-image:url("gifgitback.gif");
  background-repeat: repeat;
 /* background: #5372F0; */
  border-radius: 5px;
  padding: 20px 70px 20px 20px;
  display: flex;
  justify-content: space-between;
}
.current-weather h2 {
  font-weight: 700;
  font-size: 1.7rem;
}
.weather-data h6 {
  margin-top: 12px;
  font-size: 1rem;
  font-weight: 500;
}
.current-weather .icon {
  text-align: center;
}
.current-weather .icon img {
  max-width: 120px;
  margin-top: -15px;
}
.current-weather .icon h6 {
  margin-top: -10px;
  text-transform: capitalize;
}
.days-forecast h2 {
  margin: 20px 0;
  font-size: 1.7rem;
  color: #4B5593;
}
.days-forecast .weather-cards {
  display: flex;
  gap: 20px;
}
.weather-cards .card {
  color: #fff;
  padding: 18px 16px;
  list-style: none;
  width: calc(100% / 5);
  background-image:url("bluesnow.gif");
  border-radius: 5px;
}
.weather-cards .card h3 {
  font-size: 1.3rem;
  font-weight: 600;
}
.weather-cards .card img {
  max-width: 70px;
  margin: 5px 0 -12px 0;
}


/*Here chatbot box CSS
.chatbot-toggler{
  position: fixed;
right:35px;
bottom:8px;
height:50px;
width: 50px;
color: #fff;
border: none;
display: flex;
align-items: center;
justify-content: center;
outline: none;
cursor: pointer;
background: #4B5593;
border-radius: 50%;
transition: all 0.2s ease;
}
.show-chatbot .chatbot-toggler{
  transform: rotate(90deg);
}
.chatbot-toggler span{
  color: #fff;
  position: absolute;
} 
.show-chatbot .chatbot-toggler span:first-child,
.chatbot-toggler span:last-child{
  opacity:0;
}
.show-chatbot .chatbot-toggler span:last-child{
  opacity: 1;
}
.chatbot{
position: fixed;
right:35px;
bottom:60px;
width:420px;
transform: scale(0.5);
opacity: 0;
pointer-events: none;
overflow: hidden;
background: #fff;
border-radius: 15px;
transform-origin: bottom right;
box-shadow: 0 0 128px 0 rgba(0,0,0,0.1),
            0 32px 64px -48px rgba(0,0,0,0.5);
transition: all 0.1s ease;
}

.show-chatbot .chatbot{
  transform: scale(1);
opacity: 1;
pointer-events: auto;
}

.chatbot header{
  background: #4B5593;
  padding: 16px 0;
  text-align: center;
  position: relative;
  box-shadow: 0 2px 10px rgba(0,0,0,0.1);
}

.chatbot header h2{
  font-size:1.4rem;
}
.chatbot header span{
  position: absolute;
  right: 15px;
  top: 50%;
  cursor: pointer;
  display: none;
  transform: translateY(-50%);
}
.chatbot .chatbox{
  height: 430px;
  overflow-y: auto;
  padding: 30px 20px 100px;
}

.chatbox .chat {
  display: flex;
  list-style: none;
}

.chatbox .incoming span{
  height:32px;
  width: 32px;
  color: #fff;
  cursor: default;
  align-self: flex-end;
  background: #724ae8;
  text-align: center;
  line-height: 32px;
  border-radius: 4px;
  margin: 0 10px 7px 0;
}

.chatbox .outgoing{
  margin: 20px 0;
 justify-content: flex-end;
}

.chatbox .chat p{
  color: #fff;
  max-width:75%;
  font-size: 0.95rem;
  padding:12px 16px;
  border-radius: 10px 10px 0 10px;
  background: #4B5593;
  white-space: pre-wrap;
}
.chatbox .chat p.error {
  color: #721c24;
  background: #f8d7da;
}

.chatbox .incoming p{
  color: #000;
  background: #f0e1e1;
  border-radius: 10px 10px 10px 0;
}

.chatbot .chat-input{
  position: absolute;
  bottom: 0;
  width:100%;
  display:flex;
  gap: 5px;
  background: #fff;
  padding:3px 20px;
  border-top: 1px solid #ddd;
}

.chat-input textarea{
  height: 55px;
  width: 100%;
  border: none;
  outline: none;
  font-size: 0.95rem;
  resize:none;
  max-height: 180px;
  padding: 15px 15px 15px 0;
}

.chat-input span{
  align-self: flex-end;
  height:55px;
  line-height: 55px;
  color: #4B5593;
  font-size: 1.35rem;
  cursor: pointer;
  visibility: hidden;
 display: flex;
 align-items: center;
}

.chat-input textarea:valid ~ span{
  visibility: visible;
}*/

/* Media query for chatbot
@media (max-width: 490px) {
  .chatbot-toggler {
    right: 20px;
    bottom: 20px;
  }
  .chatbot {
    right: 0;
    bottom: 0;
    height: 100%;
    border-radius: 0;
    width: 100%;
  }
  .chatbot .chatbox {
    height: 90%;
    padding: 25px 15px 100px;
  }
  .chatbot .chat-input {
    padding: 5px 15px;
  }
  .chatbot header span {
    display: block;
  }
}*/
/* To making the site responsive using media query */
@media (max-width: 1400px) {
  .weather-data .current-weather {
    padding: 20px;
  }
  .weather-cards {
    flex-wrap: wrap;
  }
  .weather-cards .card {
    width: calc(100% / 4 - 15px);
  }
  
}
@media (max-width: 1200px) {
  .weather-cards .card {
    width: calc(100% / 3 - 15px);
  }
  .text{
    width:92vw;
    padding-left:10px;
    padding-top:20px;
  }
  .weather-content{
    width: 60%;
  }
  .enter-text{
    font-size: 1.7rem;
  }
  
 
}
@media (max-width: 950px) {
  .weather-input {
    width: 450px;
  }
  .weather-cards .card {
    width: calc(100% / 2 - 10px);
  }
  .text{
    width:92vw;
    padding-left:10px;
    padding-top:20px;
    
  }
  .weather-content{
    width:70%;
  }
  .enter-text{
    font-size: 1.5rem;
    width: 95%;
  }
 
}
@media(max-width:850px)
{
  .text{
    width: 92vw;
    padding-left:10px;
    padding-top:20px;
  }
  .weather-content{
    width:80%;
  }
  .enter-text{
    font-size: 1.5rem;
    width:100%;
  }
 
}
@media (max-width: 750px) {
  h1 {
    font-size: 1.45rem;
    padding: 16px 0;
  }
  .container {
    flex-wrap: wrap;
    padding: 15px;
  }
  .weather-input {
    width: 100%;
  }
  .weather-data h2 {
    font-size: 1.35rem;
  } 
  .text{
    width: 92vw;
    padding-left:10px;
    padding-top:20px;
  }
  .weather-content{
    width: 90%;
  }
  .enter-text{
    font-size: 1.7rem;
    width:47%;
  }
 

}
@media(max-width:650px)
{
  .text{
    width:92vw;
    padding-left:10px;
    padding-top:25px;
  }
  .weather-content{
    font-size:1.5rem;
    width:90%;
  }
  .enter-text{
    font-size: 1.6rem;
    width:52%;
  }
 .img1{
  height:40px;
  width:50px;
  
 }
 .logo{
  padding-top:18px;
 }
 
}
@media(max-width:550px)
{
  .text{
    width:92vw;
    padding-left:15px;
    padding-top:20px;
  }
  .weather-content{
    font-size:1.4rem;
    letter-spacing:0.2rem;
    width:90%;
  }
  .weather-dashboard{
    height: 65px;
  }
  .enter-text{
    font-size: 1.6rem;
    width:65%;
  }
  .img1{
    height:35px;
    width:49px;
   }
   .logo{
    padding-top:14px;
   }
 
}
@media(max-width:450px)
{
  .text{
    width:92vw;
    padding-left:18px;
    padding-top: 20px;
  }
  .weather-content{
    font-size:1.1rem;
    text-shadow: -1px -1px 1px #6c7299 ,
    -2px -2px 1px #6c7299,
    -3px -3px 1px #6c7299,
    -4px -4px 2px rgba(23, 23, 141, 0.75);
    letter-spacing: 0.1rem;
    width: 90%;

  }
  .weather-dashboard{
    height: 65px;
  }
  .enter-text{
    font-size: 1.6rem;
    width: 85%;
  }
  .img1{
    height:33px;
    width:45px;
    padding-left:10px ;
   }
 
}
@media(max-width:350px)
{
  .text{
    width:92vw;
    padding-left: 18px;
    padding-top:20px;
  }
  .weather-content{
    font-size:1rem;
    text-shadow: -1px -1px 1px #6c7299 ,
    -2px -2px 1px #6c7299,
    -3px -3px 1px #6c7299,
    -4px -4px 2px rgba(23, 23, 141, 0.75);
    letter-spacing: 0.2rem;
    width:92%;

  }
  .weather-dashboard{
    height: 65px;
  }
 .enter-text{
  font-size:1.5rem;
  width:88%;
 }
 .img1{
  height:30px;
  width:42px;
  padding-left: 10px;
}
}